package com.usky.rule.vo.log;

import java.util.List;

public class RuleEngineDetailLog {
    private List<BaseLog> triggers;
    private List<BaseLog> constraints;
    private List<BaseLog> actions;

    public RuleEngineDetailLog() {
    }

    public List<BaseLog> getTriggers() {
        return this.triggers;
    }

    public List<BaseLog> getConstraints() {
        return this.constraints;
    }

    public List<BaseLog> getActions() {
        return this.actions;
    }

    public void setTriggers(final List<BaseLog> triggers) {
        this.triggers = triggers;
    }

    public void setConstraints(final List<BaseLog> constraints) {
        this.constraints = constraints;
    }

    public void setActions(final List<BaseLog> actions) {
        this.actions = actions;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof RuleEngineDetailLog)) {
            return false;
        } else {
            RuleEngineDetailLog other = (RuleEngineDetailLog)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$triggers = this.getTriggers();
                Object other$triggers = other.getTriggers();
                if (this$triggers == null) {
                    if (other$triggers != null) {
                        return false;
                    }
                } else if (!this$triggers.equals(other$triggers)) {
                    return false;
                }

                Object this$constraints = this.getConstraints();
                Object other$constraints = other.getConstraints();
                if (this$constraints == null) {
                    if (other$constraints != null) {
                        return false;
                    }
                } else if (!this$constraints.equals(other$constraints)) {
                    return false;
                }

                Object this$actions = this.getActions();
                Object other$actions = other.getActions();
                if (this$actions == null) {
                    if (other$actions != null) {
                        return false;
                    }
                } else if (!this$actions.equals(other$actions)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof RuleEngineDetailLog;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $triggers = this.getTriggers();
        result = result * 59 + ($triggers == null ? 43 : $triggers.hashCode());
        Object $constraints = this.getConstraints();
        result = result * 59 + ($constraints == null ? 43 : $constraints.hashCode());
        Object $actions = this.getActions();
        result = result * 59 + ($actions == null ? 43 : $actions.hashCode());
        return result;
    }

    public String toString() {
        return "RuleEngineDetailLog(triggers=" + this.getTriggers() + ", constraints=" + this.getConstraints() + ", actions=" + this.getActions() + ")";
    }
}
